DRM_ENCODER_INIT(9)

NAME
drm_encoder_init - Init a preallocated encoder

SYNOPSIS

int drm_encoder_init(struct drm_device * dev, struct drm_encoder * encoder, const struct drm_encoder_funcs * funcs, int encoder_type);

ARGUMENTS

dev
    drm device

encoder
    the encoder to init

funcs
    callbacks for this encoder

encoder_type
    user visible type of the encoder

DESCRIPTION

Initialises a preallocated encoder. Encoder should be subclassed as part of driver encoder objects.

RETURNS

Zero on success, error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT